package de.intevation.flys.artifacts.model.minfo;

import java.util.Date;


public class BedHeightEpoch
extends BedHeight
{

    protected Date start;
    protected Date end;

    public BedHeightEpoch() {
        this.start = new Date();
        this.end = new Date();
    }

    public BedHeightEpoch(String name) {
        super(name);
        this.start = new Date();
        this.end = new Date();
    }

    public void add(
        double value,
        double station,
        Date start,
        Date end
    ) {
        super.add(value, station);
        this.start = start;
        this.end = end;
    }

    public Date getStart() {
        return start;
    }

    public Date getEnd() {
        return end;
    }
}
